import RemoteData from 'ts-remote-data';
/**
 * Create a `RemoteData` view of a `Promise`, which will trigger a rerender
 * when the promise settles. This should be used when a component is given a
 * promise by some external async operation; for operations initiated by the
 * component, see {@link useAsyncOperation} instead.
 *
 * @param promise The current promise to watch. If the promise changes, further
 * updates to the old promise will be ignored. If `undefined` is passed, then
 * `NOT_ASKED` will be returned.
 */
export declare const usePromise: <T extends unknown>(promise?: Promise<T> | undefined) => RemoteData<T>;
